<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
  include_once($ruta."funciones/funciones.php");
  session_start();  
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="LISTA DE PERSONAS PENDIENTE DE APROBACIÓN";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1065;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>  
                </div>
              </div>
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row">
                <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                      <div class="col s12 m12 l12">
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>Persona</th> 
                      <th>Carnet</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                       <th>Cod</th>
                      <th>Persona</th> 
                      <th>Carnet</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    foreach($persona->mostrarTodo("tipopersona='CLIENTE' and verificado=1 and estado=1") as $f)
                    {
                      switch ($f['estado']) {
                        case '0':
                          $estilo="background-color: #FDEDEC;";
                        break;
                        case '1':
                          $estilo="background-color: #EAFAF1;";
                        break;
                      }
                      $lblcode=ecUrl($f['idpersona']);
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $f['idpersona'] ?></td>
                      <td><?php echo $f['nombre'].' '.$f['paterno'].' '.$f['materno'] ?></td>
                      <td><?php echo $f['carnet'].' '.$f['expedido'] ?></td>
                      <td>
                         <a href="#modal2" class="btn-jh waves-effect darken-4 cyan modal-trigger " onclick="cargaraprob('<?php echo $f['idpersona'] ?>');"><i class="fa fa-check-square"></i> PROBAR</a>
                         <a href="#modal1" class="btn-jh waves-effect darken-4 red modal-trigger " onclick="cargarrecha('<?php echo $f['idpersona'] ?>');"><i class="fa fa-times-circle"></i> RECHAZAR</a>
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              
              </div>
               </div> 
              </div>
               
                
            
            </div>     
            </div>


                <div class="container">
                <div class="section"> 
                <div class="row">        
                  <div id="modal2" class="modal">
                    <div class="modal-content">
                       <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                          <div class="col s12 m12 l12" style="text-align: center;">
                          <label style="font-size: 30px; color: #03AF8A">APROBAR</label>
                        </div>
                        <input id="idpersona2" name="idpersona2"  type="hidden" class="validate">
                        <div class="col s12 m12 l12">
                          <label for="idmotivo2">Motivo Aprobación</label>
                          <textarea id="idmotivo2" name="idmotivo2" type="text" rows="10" cols="50" class="validate">El motivo de su aprobación fue obtener todos sus documentos en orden</textarea>
                        </div>
                      </div>
                    </div> 
                      <div class="modal-footer">
                      <a id="btnSaveAprobar" class="btn waves-effect waves-light cyan"><i class="fa fa-check"></i> APROBAR</a>
                    </div>
                    </div>
                    
                   </div>  
                  </div>
                </div>

              <div class="container">
                <div class="section"> 
                <div class="row">        
                  <div id="modal1" class="modal">
                    <div class="modal-content">
                       <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                          <div class="col s12 m12 l12" style="text-align: center;">
                          <label style="font-size: 30px; color: #E66C00">RECHAZAR</label>
                        </div>
                        <input id="idpersona" name="idpersona"  type="hidden" class="validate">
                        <div class="col s12 m12 l12">
                            <label for="idmotivo">Motivo de rechazo</label>
                            <textarea id="idmotivo" name="idmotivo" type="text" rows="10" cols="50" class="validate"></textarea>                          
                        </div>
                      </div>
                    </div> 
                      <div class="modal-footer">
                      <a id="btnSaveRechazar" class="btn waves-effect waves-light red"><i class="fa fa-times"></i> RECHAZAR</a>
                    </div>
                    </div>
                    
                   </div>  
                  </div>
                </div>
             </section>
          </div>
          <?php
            //include_once("../footer.php");
          ?>
        
      </div>

 
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });

    });


function buscarci()
{
  carnet=$('#idcarnet').val();
  if (carnet!="")
  {
    location.href="persona/?lblcode="+carnet;
  }
  
}
//////////////////


     mostrarPersonas();
      function mostrarPersonas(){
      $("#TablaPer").dataTable().fnDestroy();
        var str="tipopersona='CLIENTE'";
        var table=$("#TablaPer").dataTable({
        "ajax":{
          "method":"POST",
          "url":"listarPersonas.php?"+str
        },
        "columns":[
          //{"data":"idpersona"},
          {"data":"nombre"},
          {"data":"carnet"},                  
          {"data":"bootones"}  
        ]
      });
      //eliminaItemCarrito("#TablaPer tbody",table);
    };

    function cargarrecha(id)
    {
      $('#idpersona').val(id);
    }
    function cargaraprob(id)
    {
      $('#idpersona2').val(id);
    }
 
 
 $("#btnSaveAprobar").click(function(){
          motivo=$('#idmotivo2').val();
          idper=$('#idpersona2').val();
                 swal({
                  title: "¿Esta seguro?",
                  text: "Aprobar la persona",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#2DBD84",
                  confirmButtonText: "Registrar",
                  closeOnConfirm: false,
                  showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "aprobar.php",
                    type: "POST",
                    data: "idpersona="+idper+"&idmotivo="+motivo,
                    success: function(resp){
                    //alert(resp);
                      setTimeout(function(){     
                        console.log(resp);
                        $('#idresultado').html(resp);  
                      }, 1500); 
                    }
                  }); 
                });
   });
        $("#btnSaveRechazar").click(function(){
        //$('#btnSave').attr("disabled",true);
        if (validar()) 
        { 
                 motivo=$('#idmotivo').val();
                 idper=$('#idpersona').val();
                 swal({
                  title: "¿Esta seguro?",
                  text: "Rechazo de la persona",
                  type: "warning",
                  showCancelButton: true,
                  confirmButtonColor: "#C50000",
                  confirmButtonText: "Registrar",
                  closeOnConfirm: false,
                  showLoaderOnConfirm: true
                }, function () {
                  //var str = $( "#idform" ).serialize();
                  $.ajax({
                    url: "rechazar.php",
                    type: "POST",
                    data: "idpersona="+idper+"&idmotivo="+motivo,
                    success: function(resp){
                    //alert(resp);
                      setTimeout(function(){     
                        console.log(resp);
                        $('#idresultado').html(resp);  
                      }, 1500); 
                    }
                  }); 
                });
        }else{
          swal("ERROR","Ingrese un motivo de rechazo","error");
        }
      });
      function validar(){
        retorno=true;
        motivo=$('#idmotivo').val();
        if(motivo==""){
          retorno=false;
        }
        return retorno;
      }



    </script>
</body>

</html>